Bug 1732419 - CVE-2019-13509 docker: Docker Engine in debug mode may sometimes add secrets to the debug log leading to information disclosure [fedora-all]
Summary: CVE-2019-13509 docker: Docker Engine in debug mode may sometimes add secrets ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tom Sweeney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-13509
TreeView+ depends on / blocked
 
Reported: 2019-07-23 10:51 UTC by Marian Rehak
Modified: 2019-08-27 18:37 UTC (History)
11 users (show)

Fixed In Version: docker-1.13.1-68.git47e2230.fc30 docker-1.13.1-68.git47e2230.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 15:27:42 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-23 10:51:32 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-07-23 10:51:35 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1732418,1732419

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Tom Sweeney 2019-07-23 13:51:28 UTC
Just a few notes for information:

Noted on July 17, 2019 in Docker release notes:  https://docs.docker.com/engine/release-notes/#180908

Part of docker-ce 19.03.0   https://github.com/docker/docker-ce/releases/tag/v19.03.0

Pertinent Docker PR appears to be:  https://github.com/moby/moby/commit/e4b9edd31fdba3adf1e39fb9874f73d391f0ff34

Comment 4 Fedora Update System 2019-08-18 17:15:19 UTC
FEDORA-2019-5b54793a4a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b54793a4a

Comment 5 Fedora Update System 2019-08-18 17:15:20 UTC
FEDORA-2019-4bed83e978 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4bed83e978

Comment 6 Fedora Update System 2019-08-19 01:23:05 UTC
docker-1.13.1-68.git47e2230.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b54793a4a

Comment 7 Fedora Update System 2019-08-19 03:03:01 UTC
docker-1.13.1-68.git47e2230.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4bed83e978

Comment 8 Fedora Update System 2019-08-27 15:27:42 UTC
docker-1.13.1-68.git47e2230.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-27 18:37:41 UTC
docker-1.13.1-68.git47e2230.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.